# Scidlet configuration file
#
# This file contains startup settings for Scidlet.
# Settings have the format "option=value" with whitespace ignored.
# Some settings need a numeric value, while others take a boolean value.
# Boolean values can be specified as Yes/No, On/Off, True/False, or 1/0.
# Option names and boolean values are case-insensitive.
# For example, the lines "LOG=OFF" and "log = false" are equivalent.
#
# All configuration options can be specified on the command line when
# Scidlet is started. Command-line parameters have priority over values
# in this file. The command-line format is as seen here, with optional
# "/" or "-" characters before setting names.
# Example: scidlet log=on -hash=64 /bookfile=huge.sbk

# Hash: Transposition table size, in megabytes.
#   Default value: 16 MB.
#
hash = 32

# Pawnhash: Pawn scoring hash table size, in megabytes.
#   1 or 2 MB is usuallly enough; anything larger may be wasteful.
#   Default value: 1 MB.
#
pawnhash = 4

# Log: Save a record of all input/output to a log file.
#   Default: false
#
log = off

# Logfile: Location and name of the log file.
#   Default: scidlet.log (in the directory where Scidlet was started).
#
logfile = scidlet.log

# Bookfile: Location and name of the opening book file.
#   Default: scidlet.sbk (in the directory where Scidlet was started).
#
bookfile = scidlet40k.sbk

# Pruning: Should the program do futility pruning in search.
#   Futility pruning may help make the program tactically stronger,
#   but may also cause it to be positionally weaker.
#   Default: false
#
pruning = true

# Resign: Should the program resign when hopelessly lost.
#   Default: true
#
resign = true

# Draw: Should the program offer and accept draws when appropriate.
#   Default: true
#
draw = true

# IID: (Dann Corbit) Search enhancement
#   Default: true
#
useIID = false 

# End of configuration file
